Public Support - Support Request #2394

Failed to build examples
2018-04-25 14:45 - hidden

Status: Closed

Priority: Normal

Category:

Customer: VW Product Issue https://www.cip.audi.de/jira/browse/ACO
Numbers: RE-9462

Department: CARMEQ Affected Products: ADTF 3.3.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::SDK

Resolution: Product Issue Opened FAQ Links:

Description

Supportanfrage

Far mich sieht es auf der ersten Blick so so aus, als klappte das nicht, weil mein ADTF in einem Verzeichnis mit Leerzeichen im
Namen liegt ("Meine Programme"):

L= Erstellen gestartet: Projekt: demo_legacy_data_filter_pdgen, Konfiguration: Debug x64 —---

1>Building Custom Rule C:/Meine Programme/ADTF/3.3.0/src/examples/src/adtf/filters/adtf2_legacy/le
gacy_data_filter/CMakeLists.txt

1>CMake does not need to re-run because C:/Meine Programme/ADTF/3.3.0/build/src/examples/src/adtf/
filters/adtf2_legacy/legacy_data_filter/CMakeFiles/generate.stamp is up-to-date.

1>Generating Plugin Description for Target demo_legacy_data_filter: C:/Meine Programme/ADTF/3.3.0/
bin/$<$<CONFIG:Debug>:debug/>adtf_plugin_description_generator.exe -plugin=/src/examples/bin/$<$<C
ONFIG:Debug>:debug/>demo_legacy_data_filter.adtfplugin -output=C:/Meine Programme/ADTF/3.3.0/src/e
xamples/bin/$<$<CONFIG:Debug>:debug/>demo_legacy_data_filter.plugindescription -merge=C:/Meine Pro
gramme/ADTF/3.3.0/src/examples/src/adtf/filters/adtf2_legacy/legacy_data_filter/demo_legacy_data_f
ilter.plugindescription

1>Error in command line: Unrecognised token: Programme/ADTF/3.3.0/src/examples/bin/debug/demo_lega
cy_data_filter.adtfplugin”

1>C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.CppCommon.targets (171,5): error
MSB6006: "cmd.exe" wurde mit dem Code 1 beendet.

1>Die Erstellung des Projekts "demo_legacy_data_filter_pdgen.vcxproj" ist abgeschlossen —-- FEHLER.
========== Erstellen: 0 erfolgreich, 1 fehlerhaft, 2 aktuell, 0 ilbersprungen ==========

Lésung

Wir haben das Produkiticket ACORE-9462 fiir das Verhalten mit den Leerzeichen erstellt.
Als Workaround bitte einen eigenen Ordner (ohne Leerzeichen im Namen) far ADTF verwenden.

History

#1 - 2018-04-25 14:46 - hidden

1>————— Erstellen gestartet: Projekt: demo_legacy_data_filter_pdgen, Konfiguration: Debug x64 —-————-
1>Building Custom Rule C:/Meine Programme/ADTF/3.3.0/src/examples/src/adtf/filters/adtf2_legacy/legacy_data_fi
lter/CMakeLists.txt

1>CMake does not need to re-run because C:/Meine Programme/ADTF/3.3.0/build/src/examples/src/adtf/filters/adtf
2_legacy/legacy_data_filter/CMakeFiles/generate.stamp is up-to-date.

1>Generating Plugin Description for Target demo_legacy_data_filter: C:/Meine Programme/ADTF/3.3.0/bin/$<$<CONF
IG:Debug>:debug/>adtf_plugin_description_generator.exe -plugin=/src/examples/bin/$<$<CONFIG:Debug>:debug/>demo
_legacy_data_filter.adtfplugin -output=C:/Meine Programme/ADTF/3.3.0/src/examples/bin/$<$<CONFIG:Debug>:debug/
>demo_legacy_data_filter.plugindescription -merge=C:/Meine Programme/ADTF/3.3.0/src/examples/src/adtf/filters/
adtf2_legacy/legacy_data_filter/demo_legacy_data_filter.plugindescription

1>Error in command line: Unrecognised token: Programme/ADTF/3.3.0/src/examples/bin/debug/demo_legacy_data_filt
er.adtfplugin”

1>C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V140\Microsoft.CppCommon.targets(171,5): error MSB6006: "c
md.exe" wurde mit dem Code 1 beendet.

1>Die Erstellung des Projekts "demo_legacy_data_filter_pdgen.vcxproj" ist abgeschlossen —-- FEHLER.

========== Erstellen: 0 erfolgreich, 1 fehlerhaft, 2 aktuell, 0 ilibersprungen ==========
#2 - 2018-04-25 16:13 - hidden
- Status changed from New to In Progress

- Topic set to ADTF::SDK

Hallo Thorsten,

ja das sieht leider in der Tat danach aus. Die Fachkollegen werden es sich gleich nochmal ansehen.
Grundsatzlich empfehlen wir es zu vermeiden ADTF in den "ProgramFiles" oder auch "Meine Programme" Ordner zu installieren.

#4 - 2018-04-25 16:48 - hidden
- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9462

#6 - 2018-04-26 09:05 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Thorsten,

wir haben das Produktticket ACORE-9462 fur das Verhalten mit den Leerzeichen erstellt.
Als Workaround bitte einen eigenen Ordner (ohne Leerzeichen im Namen) ftir ADTF verwenden.

Bitte las uns kurz wissen ob wir das Support Ticket damit schlieBen kénnen.

Danke und Grui3
Matthias

#7 - 2018-04-26 09:09 - hidden

Kann geschlossen werden. Darf ich eigentlich die Produkttickets einsehen? Ich stolpere ja jetzt immer wieder mal in solche Anfangsprobleme und
wirde gerne wissen, was schon so alles an Fehlern bekannt ist und was aus den Tickets geworden ist, die ich gemeldet habe.

#8 - 2018-04-26 10:31 - hidden
- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Subject changed from Bauen der PluginDescription beim Kompilieren der Examples schlédgt fehl to Failed to build examples

Ticket kann geschlossen werden

Darf ich eigentlich die Produkttickets einsehen?

Wenn du bei der AUDI CIP ein Account hast (via AUDI Service Desk) und die entsprechenden Viewer Rechte fir ADTF (via CIPTASK beantragen)
besitzt, dann ja.

#9 - 2018-05-22 08:16 - hidden
- Project changed from 20 to Public Support

- Private changed from Yes to No

#10 - 2018-05-23 13:59 - hidden
- Status changed from To Be Closed to Closed
